Bug 187663 - New port: sysutils/dateutils
Summary: New port: sysutils/dateutils
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-17 15:50 UTC by Jesse
Modified: 2014-03-28 22:30 UTC (History)
0 users

See Also:


Attachments
file.shar (3.97 KB, text/plain)
2014-03-17 15:50 UTC, Jesse
no flags Details
dateutils.shar (5.00 KB, application/x-shar)
2014-03-28 08:37 UTC, Jason E. Hale
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2014-03-17 15:50:01 UTC
The attached is a new port for the Dateutils suite of tools. Dateutils provides command line utilities for working with, converting and comparing date/calendar information. The upstream project can be found at http://www.fresse.org/dateutils/

Fix: Patch attached with submission follows:
Comment 1 Jason E. Hale freebsd_committer 2014-03-28 03:27:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 Jason E. Hale freebsd_committer 2014-03-28 08:37:25 UTC
I had to make some changes to this port submission.  I've attached a new shar 
for you to review and I will explain the changes.

- COMMENT should be more concise and should not start with an indefinite 
article nor end with a period
- BSD is a deprecated LICENSE type.  It now must be BSD[234]CLAUSE; in this 
case BSD3CLAUSE
- USES_TAR is not a valid variable and EXTRACT_SUFX does not need to be 
redefined for standards (see Mk/Uses/tar.mk).  USES=tar:xz should be used here
- This port appears to be MAKE_JOBS_SAFE
- USES_GCC is not a valid variable, it's USE_GCC.  At any rate, this port 
builds fine with clang, so it is not needed
- New ports should be submitted stage-ready
- I think installing the manpages and everything else would be useful, so I 
removed the custom do-install target and allowed the source build mechanism to 
do the install
- Added a few extra items needed for the full install. pkgconfig hack 
(normally USES=pathfix would fix this, but not in this case), INFO, and an 
option for DOCS
- Port needs misc/help2man to build
- pkg-descr should be wrapped to fit under 80 columns.  You can use fmt(1) to 
do this

If you are ok with these changes, I will commit it.
-- 
Jason E. Hale - jhale@
FreeBSD Ports Committer
KDE/FreeBSD Team
Twitter: @Jason_E_Hale
Comment 3 Jason E. Hale freebsd_committer 2014-03-28 08:38:17 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 dfilter service freebsd_committer 2014-03-28 22:24:20 UTC
Author: jhale
Date: Fri Mar 28 22:24:15 2014
New Revision: 349469
URL: http://svnweb.freebsd.org/changeset/ports/349469
QAT: https://qat.redports.org/buildarchive/r349469/

Log:
  - New port: sysutils/dateutils
  
  Dateutils are a collection of tools that revolve around manipulating
  dates and times on the command line.  Commands included in the suite
  offer ways of converting dates between calendars, computing durations
  between dates, and finding dates in input streams.
  
  WWW: http://www.fresse.org/dateutils/
  
  PR:             ports/187663 (based on)
  Submitted by:   Jesse <jessefrgsmith@yahoo.ca>

Added:
  head/sysutils/dateutils/
  head/sysutils/dateutils/Makefile   (contents, props changed)
  head/sysutils/dateutils/distinfo   (contents, props changed)
  head/sysutils/dateutils/files/
  head/sysutils/dateutils/files/patch-lib__Makefile.in   (contents, props changed)
  head/sysutils/dateutils/files/patch-lib__tzraw.c   (contents, props changed)
  head/sysutils/dateutils/files/patch-src__prchunk.c   (contents, props changed)
  head/sysutils/dateutils/pkg-descr   (contents, props changed)
  head/sysutils/dateutils/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Fri Mar 28 22:11:29 2014	(r349468)
+++ head/sysutils/Makefile	Fri Mar 28 22:24:15 2014	(r349469)
@@ -156,6 +156,7 @@
     SUBDIR += daedalus
     SUBDIR += daemontools
     SUBDIR += dar
+    SUBDIR += dateutils
     SUBDIR += dc3dd
     SUBDIR += dcfldd
     SUBDIR += dd_rescue

Added: head/sysutils/dateutils/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dateutils/Makefile	Fri Mar 28 22:24:15 2014	(r349469)
@@ -0,0 +1,26 @@
+# $FreeBSD$
+
+PORTNAME=	dateutils
+PORTVERSION=	0.2.7
+CATEGORIES=	sysutils
+MASTER_SITES=	https://bitbucket.org/hroptatyr/dateutils/downloads/
+
+MAINTAINER=	jessefrgsmith@yahoo.ca
+COMMENT=	Command line utilities for working with dates
+
+LICENSE=	BSD3CLAUSE
+
+BUILD_DEPENDS=	help2man:${PORTSDIR}/misc/help2man
+
+USES=		tar:xz
+GNU_CONFIGURE=	yes
+
+INFO=		dateutils
+
+OPTIONS_DEFINE=	DOCS
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|@libdir@/pkgconfig|$${prefix}/libdata/pkgconfig|g' \
+		${WRKSRC}/Makefile.in
+
+.include <bsd.port.mk>

Added: head/sysutils/dateutils/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dateutils/distinfo	Fri Mar 28 22:24:15 2014	(r349469)
@@ -0,0 +1,2 @@
+SHA256 (dateutils-0.2.7.tar.xz) = f7d0c502d79dec4a604ebc30e7c44988d7095bd303137d1fa652720350337042
+SIZE (dateutils-0.2.7.tar.xz) = 490456

Added: head/sysutils/dateutils/files/patch-lib__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dateutils/files/patch-lib__Makefile.in	Fri Mar 28 22:24:15 2014	(r349469)
@@ -0,0 +1,16 @@
+--- ./lib/Makefile.in.orig	2014-03-27 23:56:38.000000000 -0400
++++ ./lib/Makefile.in	2014-03-27 23:57:13.000000000 -0400
+@@ -363,13 +363,6 @@
+ 	  $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
+ 	@$(POST_INSTALL)
+ 	@list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
+-	for p in $$list; do \
+-	  if test -f $$p; then \
+-	    $(am__strip_dir) \
+-	    echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
+-	    ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
+-	  else :; fi; \
+-	done
+ 
+ uninstall-libLIBRARIES:
+ 	@$(NORMAL_UNINSTALL)

Added: head/sysutils/dateutils/files/patch-lib__tzraw.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dateutils/files/patch-lib__tzraw.c	Fri Mar 28 22:24:15 2014	(r349469)
@@ -0,0 +1,20 @@
+--- ./lib/tzraw.c.orig	2014-01-29 10:08:23.000000000 -0500
++++ ./lib/tzraw.c	2014-03-27 23:53:01.000000000 -0400
+@@ -70,9 +70,14 @@
+ /* me own header, innit */
+ #include "tzraw.h"
+ 
+-#if !defined MAP_ANONYMOUS && defined MAP_ANON
+-# define MAP_ANONYMOUS	(MAP_ANON)
+-#endif	/* MAP_ANON->MAP_ANONYMOUS */
++#ifndef MAP_ANONYMOUS
++#define MAP_ANONYMOUS 0x1000
++#endif
++
++#ifndef MAP_ANON
++#define MAP_ANON 0x1000
++#endif
++
+ 
+ #if defined TZDIR
+ static const char tzdir[] = TZDIR;

Added: head/sysutils/dateutils/files/patch-src__prchunk.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dateutils/files/patch-src__prchunk.c	Fri Mar 28 22:24:15 2014	(r349469)
@@ -0,0 +1,19 @@
+--- ./src/prchunk.c.orig	2014-01-29 10:08:23.000000000 -0500
++++ ./src/prchunk.c	2014-03-27 23:53:01.000000000 -0400
+@@ -61,9 +61,13 @@
+ #define MAX_NLINES	(16384)
+ #define MAX_LLEN	(1024)
+ 
+-#if !defined MAP_ANONYMOUS && defined MAP_ANON
+-# define MAP_ANONYMOUS	(MAP_ANON)
+-#endif	/* MAP_ANON->MAP_ANONYMOUS */
++#ifndef MAP_ANONYMOUS
++#define MAP_ANONYMOUS 0x1000
++#endif
++
++#ifndef MAP_ANON
++#define MAP_ANON 0x1000
++#endif
+ 
+ #if defined __INTEL_COMPILER
+ # pragma warning(disable: 981)

Added: head/sysutils/dateutils/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dateutils/pkg-descr	Fri Mar 28 22:24:15 2014	(r349469)
@@ -0,0 +1,6 @@
+Dateutils are a collection of tools that revolve around manipulating
+dates and times on the command line.  Commands included in the suite
+offer ways of converting dates between calendars, computing durations
+between dates, and finding dates in input streams.
+
+WWW: http://www.fresse.org/dateutils/

Added: head/sysutils/dateutils/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dateutils/pkg-plist	Fri Mar 28 22:24:15 2014	(r349469)
@@ -0,0 +1,37 @@
+bin/dadd
+bin/dconv
+bin/ddiff
+bin/dgrep
+bin/dround
+bin/dseq
+bin/dtest
+bin/strptime
+include/dateutils/boops.h
+include/dateutils/date-core-strpf.h
+include/dateutils/date-core.h
+include/dateutils/dt-core-strpf.h
+include/dateutils/dt-core-tz-glue.h
+include/dateutils/dt-core.h
+include/dateutils/generics.h
+include/dateutils/leaps.h
+include/dateutils/leapseconds.def
+include/dateutils/nifty.h
+include/dateutils/strops.h
+include/dateutils/time-core-strpf.h
+include/dateutils/time-core.h
+include/dateutils/token.h
+include/dateutils/tzraw.h
+lib/libdut.a
+libdata/pkgconfig/libdut.pc
+man/man1/dadd.1.gz
+man/man1/dateutils.1.gz
+man/man1/dconv.1.gz
+man/man1/ddiff.1.gz
+man/man1/dgrep.1.gz
+man/man1/dround.1.gz
+man/man1/dseq.1.gz
+man/man1/dtest.1.gz
+man/man1/strptime.1.gz
+%%PORTDOCS%%%%DOCSDIR%%/README.md
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm include/dateutils
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason E. Hale freebsd_committer 2014-03-28 22:24:53 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!